### Method: dump

`call p%dump(info[,istart,iend,prefix,head,ac,rp,smoother,solver,global_num])`

Dump on file.

Arguments

`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.
`amold` | `class(psb_`x`_base_sparse_mat), intent(in), optional`.
| The desired dynamic type for internal matrix components; this allows e.g. running on GPUs; it needs not be the same on all processes. See the PSBLAS User's Guide for details [13].